## Find Files `client.Beta.Retrieval.Find(ctx, params) (*PaginatedCursorPost[BetaRetrievalFindResponse], error)` **post** `/api/v1/retrieval/files/find` Search for files by name. ### Parameters - `params BetaRetrievalFindParams` - `IndexID param.Field[string]` Body param: ID of the index to search within. - `OrganizationID param.Field[string]` Query param - `ProjectID param.Field[string]` Query param - `FileName param.Field[string]` Body param: Exact file name to match. - `FileNameContains param.Field[string]` Body param: Substring match on file name (case-insensitive). - `PageSize param.Field[int64]` Body param: The maximum number of items to return. The service may return fewer than this value. If unspecified, a default page size will be used. The maximum value is typically 1000; values above this will be coerced to the maximum. - `PageToken param.Field[string]` Body param: A page token, received from a previous list call. Provide this to retrieve the subsequent page. ### Returns - `type BetaRetrievalFindResponse struct{…}` A file returned by find. - `FileID string` ID of the file. - `FileName string` Display name of the file. ### Example ```go package main import ( "context" "fmt" "github.com/run-llama/llama-parse-go" "github.com/run-llama/llama-parse-go/option" ) func main() { client := llamacloudprod.NewClient( option.WithAPIKey("My API Key"), ) page, err := client.Beta.Retrieval.Find(context.TODO(), llamacloudprod.BetaRetrievalFindParams{ IndexID: "idx-abc123", }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "items": [ { "file_id": "file_id", "file_name": "file_name" } ], "next_page_token": "next_page_token", "total_size": 0 } ```